GuideLab API

Update Qc Settings

Update quality control settings for the current lab. Creates default settings if none exist (upsert). Controls QC enabled state, select-all, and automation.

PUT
/qc-settings

Update quality control settings for the current lab. Creates default settings if none exist (upsert). Controls QC enabled state, select-all, and automation.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/qc-settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "settings": {    "id": "string",    "labId": "string",    "qcEnabled": true,    "selectAllEnabled": true,    "automationEnabled": true,    "automationId": "string",    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty